/* synth_.c */
int main(int /*argc*/, char */*argv*/[]);
void Read_Object_File(FILE */*fd_obj*/, int */*nbobj*/, object **/*worldptr*/, float */*grow*/);
void PrintHelp(void);
/* synth.c */
void Create_Bitmap(descript /*ws*/, unsigned char ***/*ws_bmap*/, int */*nbseg*/, int /*nbobj*/, segment */*seg*/, object */*world*/);
void Update_Bbox(bbox */*obbox*/, segment */*seg*/, int /*i*/);
void Convert_Bbox(descript /*ws*/, int /*nbobj*/, object */*world*/);
/* distance.c */
void distance(descript /*ws*/, unsigned char ***/*ws_bmap*/, unsigned char ***/*V*/, unsigned char ***/*voro*/, float /*grow*/);
/* clock.c */
clock_t Start_Clock(char */*proc_str*/);
clock_t Finish_Clock(char */*proc_str*/);
void Calculate_Time(char */*proc_str*/, clock_t /*start*/, clock_t /*finish*/);
/* parse.c */
struct arg *parse_args(int /*argc*/, char */*argv*/[]);
int set_ch(struct arg */*args*/, char /*x*/);
void set_str(struct arg */*args*/, char */*x*/, char /*last*/);
int GetIntOpt(struct arg */*args*/, char /*c*/, int */*var*/, int /*d*/, int /*min*/, int /*max*/);
int GetFloatOpt(struct arg */*args*/, char /*c*/, float */*var*/, float /*d*/, float /*min*/, float /*max*/);
int GetStrOpt(struct arg */*args*/, char /*c*/, char */*var*/, char */*d*/, int /*min*/, int /*max*/);
/* malloc.c */
char **calloc2D(int /*dy*/, int /*dz*/, int /*oc*/);
char ***calloc3D(int /*dimx*/, int /*dimy*/, int /*dimz*/, int /*oc*/);
fpoint3D ***callocf3D(int /*dimx*/, int /*dimy*/, int /*dimz*/, int /*oc*/);
void free3D(unsigned char ***/*bm*/);
/* fk.c */
void RX(int /*theta*/, fpoint3D */*P*/, fpoint3D */*Q*/);
void RY(int /*theta*/, fpoint3D */*P*/, fpoint3D */*Q*/);
void RZ(int /*theta*/, fpoint3D */*P*/, fpoint3D */*Q*/);
void Init_FK(void);
void CRX(double /*theta*/, fpoint3D */*P*/, fpoint3D */*Q*/);
void CRY(double /*theta*/, fpoint3D */*P*/, fpoint3D */*Q*/);
void CRZ(double /*theta*/, fpoint3D */*P*/, fpoint3D */*Q*/);
void FK_Unit(configuration /*X*/, fpoint3D /*Y*/[3]);
void FK_Point(configuration /*T*/, fpoint3D /*OldP*/, fpoint3D */*NewP*/);
void BK_Point(configuration /*T*/, fpoint3D /*OldP*/, fpoint3D */*NewP*/);
void T_multiply(fvector3D /*A*/[3], fvector3D /*B*/[3], fvector3D /*C*/[3]);
void trans_lead(ipoint3D */*ilead_pts*/);
void Local_to_global(fpoint3D /*origin*/, fvector3D /*unit*/[3], fpoint3D /*localp*/, fpoint3D */*globalp*/);
void FK(configuration /*X*/, fpoint3D */*curpoints*/);
void CFK(configuration /*X*/, fpoint3D */*curpoints*/);
