#include <ctype.h>

#define MAXARGS	53
	/* 26 lowercase + 26 uppercase + zero for non-letter */
#define chindex(x) ( isalpha(x) ? ( islower(x) ? (x)-'a'+1 : (x)-'A'+27 ) : 0 )
	/* macro, given a char x, returns the index into args[] */
#define indexch(x) ( (x) ? ( (x)<=26 ? (x)+'a'-1 : (x)+'A'-27 ) : 0 )
	/* macro, given an index into args[] 0 <= x <= MAXARGS, returns char */

struct arg {
	char	ch;	/* true/false: is there an arg for this letter? */
	char	*str;	/* holds pointer to string containing parameter
			    or NULL if no parameter */
};
/* parse.c */
struct arg *parse_args(int argc, char *argv[]);
int set_ch(struct arg *args, char x);
void set_str(struct arg *args, char *x, char last);
int GetIntOpt(struct arg *args, char c, int *var, int d, int min, int max);
int GetFloatOpt(struct arg *args, char c, float *var, float d, float min, float max);
int GetStrOpt(struct arg *args, char c, char *var, char *d, int min, int max);
