/* xvic_.c */
int main(int /*argc*/, char **/*argv*/);
void initparam(FILE */*fd_robot*/);
void PrintHelp(void);
/* xvic.c */
void visuel(path /*X*/, segment */*world_seg*/, int /*world_nbseg*/, double /*f*/, double /*d*/, double /*theta*/, double /*phi*/, double /*ty*/, double /*tz*/);
void get_GC(Window /*mywin*/, GC */*gc*/, XFontStruct */*font_info*/);
void load_font(XFontStruct **/*font_info*/);
void draw_seg(Window /*mywin*/, GC /*gc*/, unsigned int /*window_width*/, unsigned int /*window_height*/, segment2D */*seg2d*/, int /*nbseg*/);
void compute_robot_seg(configuration /*X*/, segment */*seg*/);
/* perspective.c */
void perspective(segment */*seg*/, segment2D */*seg2d*/, int /*nbseg*/, float /*f*/, float /*d*/, float /*theta*/, float /*phi*/, float /*ty*/, float /*tz*/);
/* clock.c */
clock_t Start_Clock(char */*proc_str*/);
clock_t Finish_Clock(char */*proc_str*/);
void Calculate_Time(char */*proc_str*/, clock_t /*start*/, clock_t /*finish*/);
/* parse.c */
struct arg *parse_args(int /*argc*/, char */*argv*/[]);
int set_ch(struct arg */*args*/, char /*x*/);
void set_str(struct arg */*args*/, char */*x*/, char /*last*/);
int GetIntOpt(struct arg */*args*/, char /*c*/, int */*var*/, int /*d*/, int /*min*/, int /*max*/);
int GetFloatOpt(struct arg */*args*/, char /*c*/, float */*var*/, float /*d*/, float /*min*/, float /*max*/);
int GetStrOpt(struct arg */*args*/, char /*c*/, char */*var*/, char */*d*/, int /*min*/, int /*max*/);
/* malloc.c */
char **calloc2D(int /*dy*/, int /*dz*/, int /*oc*/);
char ***calloc3D(int /*dimx*/, int /*dimy*/, int /*dimz*/, int /*oc*/);
fpoint3D ***callocf3D(int /*dimx*/, int /*dimy*/, int /*dimz*/, int /*oc*/);
void free3D(unsigned char ***/*bm*/);
/* fk.c */
void RX(int /*theta*/, fpoint3D */*P*/, fpoint3D */*Q*/);
void RY(int /*theta*/, fpoint3D */*P*/, fpoint3D */*Q*/);
void RZ(int /*theta*/, fpoint3D */*P*/, fpoint3D */*Q*/);
void Init_FK(void);
void CRX(double /*theta*/, fpoint3D */*P*/, fpoint3D */*Q*/);
void CRY(double /*theta*/, fpoint3D */*P*/, fpoint3D */*Q*/);
void CRZ(double /*theta*/, fpoint3D */*P*/, fpoint3D */*Q*/);
void FK_Unit(configuration /*X*/, fpoint3D /*Y*/[3]);
void FK_Point(configuration /*T*/, fpoint3D /*OldP*/, fpoint3D */*NewP*/);
void BK_Point(configuration /*T*/, fpoint3D /*OldP*/, fpoint3D */*NewP*/);
void T_multiply(fvector3D /*A*/[3], fvector3D /*B*/[3], fvector3D /*C*/[3]);
void trans_lead(ipoint3D */*ilead_pts*/);
void Local_to_global(fpoint3D /*origin*/, fvector3D /*unit*/[3], fpoint3D /*localp*/, fpoint3D */*globalp*/);
void FK(configuration /*X*/, fpoint3D */*curpoints*/);
void CFK(configuration /*X*/, fpoint3D */*curpoints*/);
/* init.c */
void fscanf_eol(FILE */*fd*/);
void Read_Robot_File(FILE */*fd*/);
